/* Combines data on biological and co-residing social parents */

libname lib100 "W:\Tutkimusprojektit\Kirjanpito\Dokumentaatio\JAR\Datat\";
run;

data bio_vanhemmat; 			
 set lib100.perheet_250925;		
run;

data sos_vanhemmat;			
 set lib100.sijaisperheet_250925;
 rename m_id = sm_id f_id = sf_id;
run;

data kaikki_vanhemmat;
 merge bio_vanhemmat sos_vanhemmat;
 by id;
run;

data kaikki_vanhemmat_2;
set kaikki_vanhemmat;

if sm_id ^= '' then m_sos_vanh_dummy = 1;
if sf_id ^= '' then f_sos_vanh_dummy = 1;
if sm_id ^= '' then m_id = sm_id;
if sf_id ^= '' then f_id = sf_id;

if m_sos_vanh_dummy = 1 or f_sos_vanh_dummy = 1 then p_sos_vanh_dummy = 1;	 
run;

/* Saves data */ 

data lib100.kaikki_perheet_data_250925;
 set kaikki_vanhemmat_2;

 drop sm_id sf_id; 

run;
















